package com.ds.ds;

import com.ds.ds.addressUtils.AddressGenerator;
import com.ds.ds.addressUtils.AddressPool;
import com.ds.ds.requestModels.MixModel;
import com.ds.ds.responseModels.MixingResponse;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.web.bind.annotation.*;

import java.util.UUID;

@CrossOrigin(origins = "*", maxAge = 3600)
@RestController
@RequestMapping("/api")
public class APIController {

    @PostMapping("/mix")
    public ResponseEntity<Object> mix(@RequestBody MixModel mixModel) {
        System.out.println(mixModel.toString());
        return ResponseHandler.generateResponse(null, HttpStatus.OK,
                new MixingResponse(
                    UUID.randomUUID().toString()
            )
        );
    }

    @GetMapping("/input")
    public String test(@RequestParam(required = true, name = "uuid") String uuid) {
        System.out.println(uuid);
//        AddressPool.PrintPool();
        AddressPool.PrintChain(AddressPool.CreateChain(15));
        return AddressGenerator.generateAddress();
    }
}
